<!--  -->
<template>
  <div
    ref="planel_box"
    :style="`width:${calcWidth};height:${calcHeight};margin-top:${marginTop};margin-left:${marginLeft};`"
    class="planel_box"
  >
    <div v-if="title" @click="$emit('title', data)" class="title">{{ title }}</div>
    <div class="conent">
      <slot></slot>
    </div>
    <span
      v-if="showClose"
      class="closeIcon iconfont iconguanbi"
      @click="$emit('close', data)"
    ></span>
    <span
      v-if="!showClose"
      class="point"
      @click="$emit('point', data)"
    ></span>
    <div class="arrow">
      <span class="before" :style="`top:${top}px;left:${left}px;`"></span>
      <span class="after" :style="`top:${top}px;left:${left + 4}px;`"></span>
    </div>
  </div>
</template>

<script>
export default {
  name: "",
  components: {},
  props: {
    title: String,
    width: Number,
    height: Number,
    showClose: { type: Boolean, default: true },
    data:[Object,Array]
  },
  data() {
    return {};
  },
  created() {},
  mounted() {},
  computed: {
    calcWidth() {
      let str = null;
      if (this.width) {
        str = this.width + "px";
      }
      return str;
    },
    calcHeight() {
      let str = null;
      if (this.height) {
        str = this.height + "px";
      }
      return str;
    },
    marginTop() {
      let str = "-111px";
      if (this.height) {
        str = -11 - this.height + "px";
      }
      return str;
    },
    marginLeft() {
      let str = "-110px";
      if (this.width) {
        str = -10 - this.width / 2 + "px";
      }
      return str;
    },
    top() {
      let n = 100 - 6;
      if (this.height) {
        n = this.height - 6;
      }
      return n;
    },
    left() {
      let n = 100 - 6;
      if (this.width) {
        n = this.width / 2 - 6;
      }
      return n;
    },
  },
  watch: {},
  methods: {
    clickClose() {
      console.log("点击了关闭按钮");
    },
  },
};
</script>
<style scoped>
.planel_box {
  position: absolute;
  background-color: rgba(0, 0, 0, 0.5);
  width: 200px;
  height: 100px;
  border-radius: 10px 0px 10px 10px;
  background: rgba(0, 0, 0, 0.6);
  border: 3px solid rgb(238, 238, 238);
  box-sizing: border-box;
  color: #fff;
}
.planel_box .title {
  padding:0 5px ;
  text-align: center;
  font: 12px;
  padding-right: 10px;
  color: #fff;
  cursor: pointer;
}
.planel_box .conent {
  padding: 5px;
}
.planel_box .closeIcon {
  position: absolute;
  top: -8px;
  right: -8px;
  width: 20px;
  height: 20px;
  line-height: 20px;
  color: #fff;
  font-size: 16px;
  border-radius: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  cursor: pointer;
}
.planel_box .point{
  position: absolute;
  top: 3px;
  right: 5px;
  width: 12px;
  height: 12px;
  border-radius: 100%;
  background-color: #88d3f5;
  cursor: pointer;
}

.planel_box .arrow .before {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border-left: 10px solid transparent;
  border-top: 11px solid white;
  border-right: 10px solid transparent;
}

.planel_box .arrow .after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  border-left: 6px solid transparent;
  border-top: 7px solid rgba(0, 0, 0, 0.6);
  border-right: 6px solid transparent;
}
</style>
